<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFileList Method (IEdmBatchChangeState)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchChangeState Interface : GetFileList Method (IEdmBatchChangeState)

Visual Basic
C#
C++/CLI

lEdmChangeStateFileListFlags
  Combination of EdmChangeStateFileListFlag bits

Gets the list of files affected by the state change or transition revocation.

# Syntax

Visual Basic |
--- | ---

    Function GetFileList( _
       ByVal lEdmChangeStateFileListFlags As System.Integer _
    ) As EdmSelectionList5

C# |
--- | ---

    EdmSelectionList5 GetFileList(
       System.int lEdmChangeStateFileListFlags
    )

C++/CLI |
--- | ---

    EdmSelectionList5^ GetFileList(
    &   System.int lEdmChangeStateFileListFlags
    )

#### Parameters

lEdmChangeStateFileListFlags
  Combination of EdmChangeStateFileListFlag bits

#### Return Value

IEdmSelectionList5; list of affected objects

# Example

See the IEdmBatchChangeState4 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchChangeState Interface
IEdmBatchChangeState Members

# Availability

SOLIDWORKS PDM Professional 2009